using UnityEngine;
using System.Collections;
using Framework.Entities;

public class GemsResponsive : Responsive
{
    protected override void InnerAwake()
    {
        base.InnerAwake();
        if (this.displayName == "")
        {
            this.displayName = "Glowing Gems";
        }
    }

    protected override void InnerUpdate()
    {

    }

    protected override void Respond(RespondAction action)
    {
        AlchemistBag bag = action.GetSender().GetGameObject().GetComponent<AlchemistBag>();
        if (bag != null)
        {
            bag.destroyDustCount++;
            Interact(new PickUpDayCycleBehaviour.SetUsedAction());
        }
    }
}
